plugin:
    resources:
        - name: claroline_announcement_aggregate
          class: Claroline\AnnouncementBundle\Entity\AnnouncementAggregate
          tags: [community]
          actions:
              - name: create-announce
                decoder: create-announce

    data_sources:
        - name: announcements
          type: list
          context: [workspace, desktop, home]
          tags: [community]

    templates:
        - name: email_announcement
          type: email
          placeholders:
              - title
              - author
              - content
              - workspace_name
              - workspace_code
              - workspace_url
              - publication_datetime

        - name: pdf_announcement
          type: pdf
          placeholders:
            - title
            - author
            - content
            - workspace_name
            - workspace_code
            - workspace_url
            - publication_datetime
